hyphen_show(1)

NAME
hyphen_show - a program to look for hyphenations in a .dvi-file created by TeX/LaTeX

SYNTAX
hyphen_show [ -c fontencoding ] texfilename[.dvi] [ file_checked_hyphenations ]

DESCRIPTION
hyphen_show is a program (written in C language) which looks for hyphenations in a .dvi-file created by TeX/LaTeX.

As there is no line structure in the .dvi-file, line breakings must be concluded from horizontal and vertical gaps. There are constructs, where hyphenations cannot be found, and there are constructs, where we cannot extract correctly both fragments of an hyphenated word (especially at end of page, because of following footers, footnotes, running title etc.)

On standard output you will find a list of hyphenations found together with page numbers, both extracted from texfilename.dvi. In file texfilename.hyp the user will find hyphenations only.

Each hyphenation is included only at it's first occurence and only if it's not already found in file file_checked_hyphenations (if such a second file is specified at hyphen_show call).

Files texfilename.hyp and file_checked_hyphenations have the same structure and are simple text files, so the user can easily edit each of these files (especially delete lines with incorrect hyphenations) and append file texfilename.hyp to file file_checked_hyphenations e.g. by using cat command.

Program hyphen_show can be called as stand-alone program as described ahead; yet originally hyphen_show was written for use with xtem_TeXMenu, where it is started automatically (depending on the user's settings) after each TeX run or where it can be started explicitely as an xtem utility program.

DOCUMENTATION
For the implementator a README is included in the package.

OPTIONS

-c fontencoding
    specifies the font encoding which is used in TeX (\usepackage[fontencoding]{fontenc}). At the moment the following font encodings are available: T1 and OT1, i.e. fontencoding may get one of these values: T1 or OT1. The default value is set to T1, yet can be adapted by the local implementation.

FILES

texfilename.dvi
    this file is scanned for hyphenations (must exist).

file_checked_hyphenations
    if specified, this file will be scanned for correct (`checked') hyphenations.

texfilename.hyp
    all hyphenations found in texfilename.dvi and not included in file_checked_hyphenations up to now will be written into this file (will be created/overwritten).

SOURCES
hyphen_show.c may be copied by anonymous ftp from
ftp://ftp.iwd.uni-bremen.de:/pub/tex/hyphenation/

AUTHORS
Guenther Lamprecht, Wolfhard Lotz, Roland Weibezahn
e-mail: weibezahn@iwd.uni-bremen.de
www: http://ftp.iwd.uni-bremen.de/xtem/xtem_texmenu.html